
var days = ['Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado'];

var HTable = $('#tbHorario').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No existen registros de inasistencias",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Buscar:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: false,
    serverSide: true,
    destroy: true,
    responsive:true,
    ajax:{
        method: 'POST',
        url: urlData,
        data: function(d){
            d.id_sc = 1
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'id',
            name:'id',
            "searchable": true,
            render: function (data,type,row) {
                if(row.procede == ''){
                    return '<td><div class="mt-radio-inline"><label class="mt-radio">'
                        +'<input type="radio" name="asistencia_justificado" required="true" value="'+data+'"><span></span>'
                        + '</label></div></td>';
                }
                else{
                    return '';
                }
            }
        },
        {
            data:'procede',
            name:'procede',
            "searchable": true,
            render: function (data,type,row) {
                switch (data)
                {
                    case '':
                        return '<td style="color: saddlebrown !important;">Pendiente</td>';
                        break;
                    case '1':
                        return '<td style="color: green !important;">Aceptada</td>';
                        break;
                    case '0':
                        return '<td style="color: red !important;">Denegada</td>';
                        break;
                    case '2':
                        return '<td style="color: blue !important;">En Proceso</td>';
                        break;
                }
            }
        },
        {
            data:'fecha',
            name:'fecha',
            "searchable": true,
            render: function(data,type,row){
                var d = new Date(data);
                var dayName = days[(d.getDay() + 1)];
                return dayName;
            }
        },
        {
            data:'fecha',
            name:'fecha',
            "searchable": true,
            render: function(data,type,row){
                var dateAr = data.split('-');
                var newDate = dateAr[2] + '-' + dateAr[1] + '-' + dateAr[0];
                return newDate;
            }
        }
    ],
    "pageLength": 15,
    "columnDefs": [{
        'orderable': false,
        'targets': [0]
    }, {
        "searchable": true,
        "targets": [0,1,2]
    }],
    "bInfo": false,
    "bLengthChange": false,
    "ordering": false
});

function tableRefresh() {
    HTable.draw();
}